Index: SicpaXamDevice/trunk/Sicpa.Xam.Device.Droid/Rfid/Agrident/AgridentLecteur.cs
===================================================================
--- SicpaXamDevice/trunk/Sicpa.Xam.Device.Droid/Rfid/Agrident/AgridentLecteur.cs	(révision 4)
+++ SicpaXamDevice/trunk/Sicpa.Xam.Device.Droid/Rfid/Agrident/AgridentLecteur.cs	(révision 5)
@@ -58,6 +58,7 @@
 
         public void LectureTag()
         {
+
             //récupére les infos du package AGRIDENT_WEDGE pour pouvoir le lancer par l'intent
             Intent lancePackage = contextApp.PackageManager.GetLaunchIntentForPackage(AgridentConstantes.AGRIDENT_WEDGE);
 
@@ -66,6 +67,9 @@
             {
                 contextApp.StartActivity(lancePackage);
             }
+            else
+                throw new Sicpa.Xam.Device.Forms.Exceptions.AgridentExecption("Le package 'AgridentWedge' n'est pas installé."); 
+
         }
 
         private void OnTagLuReceiver(object sender, InfosRfid infos)
Index: SicpaXamDevice/trunk/Sicpa.Xam.Device.Droid/Rfid/Agrident/AgridentReceiver.cs
===================================================================
--- SicpaXamDevice/trunk/Sicpa.Xam.Device.Droid/Rfid/Agrident/AgridentReceiver.cs	(révision 4)
+++ SicpaXamDevice/trunk/Sicpa.Xam.Device.Droid/Rfid/Agrident/AgridentReceiver.cs	(révision 5)
@@ -14,6 +14,10 @@
             {
                 //on récupère la string DONNEE_LU de l'intent
                 string tmpDonnee = intent.GetStringExtra(AgridentConstantes.DONNEE_LUE);
+
+                //Par défaut le lecteur envoie le numéro sur 16 chiffres (le code pays peut théoriquement être > 999). Donc on se retrouve avec un 0 devant.
+                //Un paramêtre permet de supprimer l'envoie de ce premier 0. Mais comme on sait pas si se paramétre est coché ou pas, on fait en sorte de traiter tjs sur 16 chiffres.
+                if (tmpDonnee.Length == 15) tmpDonnee = tmpDonnee="0"+tmpDonnee;
                 //ici on met en forme toutes les informations qui doivent êtres contenu dans la classe RfidInfos
                 string tmpIsoRfid = tmpDonnee.Substring(1, 15);
                 string tmpCodePays = tmpDonnee.Substring(1, 3);
@@ -26,6 +30,8 @@
                 var infosEvent = new InfosRfid() { IsoRfid = tmpIsoRfid, CodePays = tmpCodePays, NumeroAnimal = tmpdNumAnimal, TypeTag = tmpTypeTag, IsoEtendu = tmpIsoEtendu, CodeEtendu = tmpCodeEtendu, TagLu = tmpTagLu };
 
                 TagLuReceiver?.Invoke(this, infosEvent);
+
+                
             }
             else
             {
Index: SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Exceptions/AgridentException.cs
===================================================================
--- SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Exceptions/AgridentException.cs	(révision 0)
+++ SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Exceptions/AgridentException.cs	(révision 5)
@@ -0,0 +1,20 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+
+namespace Sicpa.Xam.Device.Forms.Exceptions
+{
+
+    public class AgridentExecption : Exception
+    {
+        /// <summary>
+        /// Exceptions liées au lecteur Agrident
+        /// </summary>
+        public AgridentExecption() { }
+        /// <summary>
+        /// Exceptions liées au lecteur Agrident
+        /// </summary>
+        public AgridentExecption(string message)
+        : base(message) { }
+    }
+}
Index: SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Sicpa.Xam.Device.Forms.csproj
===================================================================
--- SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Sicpa.Xam.Device.Forms.csproj	(révision 4)
+++ SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Sicpa.Xam.Device.Forms.csproj	(révision 5)
@@ -10,7 +10,7 @@
     <Description></Description>
     <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
     <Copyright>INRAE</Copyright>
-    <AssemblyVersion>1.0.0.0</AssemblyVersion>
+    <AssemblyVersion>1.0.0.1</AssemblyVersion>
   </PropertyGroup>
 
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
Index: SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Sicpa.Xam.Device.Forms.xml
===================================================================
--- SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Sicpa.Xam.Device.Forms.xml	(révision 4)
+++ SicpaXamDevice/trunk/Sicpa.Xam.Device.Forms/Sicpa.Xam.Device.Forms.xml	(révision 5)
@@ -4,6 +4,16 @@
         <name>Sicpa.Xam.Device.Forms</name>
     </assembly>
     <members>
+        <member name="M:Sicpa.Xam.Device.Forms.Exceptions.AgridentExecption.#ctor">
+            <summary>
+            Exceptions liées au lecteur Agrident
+            </summary>
+        </member>
+        <member name="M:Sicpa.Xam.Device.Forms.Exceptions.AgridentExecption.#ctor(System.String)">
+            <summary>
+            Exceptions liées au lecteur Agrident
+            </summary>
+        </member>
         <member name="T:Sicpa.Xam.Device.Forms.Interfaces.ILecteurRfid">
             <summary>
             Interface représentant un lecteur RFID
